Package org.apache.sling.scripting.sightly.impl.html.dom.template

## Class Template

- java.lang.Object
- - org.apache.sling.scripting.sightly.impl.html.dom.template.TemplateNode
  - - org.apache.sling.scripting.sightly.impl.html.dom.template.TemplateElementNode
    - - org.apache.sling.scripting.sightly.impl.html.dom.template.Template

    public class Template
    extends TemplateElementNode

### Constructor Summary

Constructors
`Template()`

### Method Summary

### Methods inherited from class org.apache.sling.scripting.sightly.impl.html.dom.template.TemplateElementNode

`addChild, getAttributes, getChildren, getName, hasEndSlash, isHasEndElement, isStartElement, setHasEndElement, setHasStartElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Template

    public Template()